# 融租易开发手册

* [GitBook使用](/gitbook.md)
---
* I. 开发环境准备

   * [1.1 Git 使用](/git-guide.md "git指令")
   * [1.2 Maven 使用](/maven.md "maven使用")
   * [1.3 开发环境搭建](/project-create.md)
   * [1.4 更新项目的HEL依赖版本](/project-update.md)
   * [1.5 Liquibase](/liquibase-use.md)

* II. 项目开发规范

 * [2.1 项目开发规范](/codeStyle.md#backEndDev)
 * [2.2 编码规范](/codeStyle.md#backEndName)
 * 2.3 Checkstyle

* III. 后端开发

* IV. 前端开发
  [前端开发说明 \(1.0\)](/front-kendoui.md)
  #### JavaScript
  * [1 字段级通用方法](/common-field-javascript.md)
  * [2 窗口级通用方法](/common-window-javascript.md)
  #### UI
  * [1 hlsCombobox](/前端组件/hlsCombobox.md)
  * [2 hlsDataSource](/前端组件/hlsDataSource.md)
  * [3 hlsMaskedTextBox](/前端组件/hlsMaskedTextBox.md)
  * [4 hlsPage](/前端组件/hlsPage.md)
  * [5 hlsTextArea](/前端组件/hlsTextArea.md)
  * [6 hlsTlEdit](/前端组件/hlsTlEdit.md)
  * [7 hlsDatePicker](/前端组件/hlsDatePicker.md)
  * [8 hlsDateTimePicker](/前端组件/HlsDateTimePicker.md)
  * [9 hlsLov](/前端组件/HlsLov.md)
  * [10 hlsToolBar](/前端组件/HlsToolBar.md)
  * [11 TabStrip](/前端组件/TabStrip.md)
  * [12 hlsForm](/前端组件/hlsForm.md)
  * [13 hlsCombobox](/前端组件/HlsCombobox.md)
  * [14 hlsCheckBox](/前端组件/HlsCheckBox.md)
  * [15 抽屉通用方法](/前端组件/box.md)
  * [16 Grid](/前端组件/Grid.md)
  * [17 DataSource](/前端组件/DataSource.md)
  * [18 hlsGridBox](/前端组件/hlsGridBox.md)
  * [19 NumericTextBx](/前端组件/NumericTextBox.md)
  * [20 HlsNavigationBar](/前端组件/HlsNavigationBar.md)
  
* V. 框架功能描述

 * [5.1 计划任务](/框架功能描述/计划任务.md)
 * [5.2 RabbitMq消息队列](/后端开发/RabbitMq消息队列.md)
 * [5.3 Weblogic部署](/框架功能描述/deployment.md)
 * [5.4 合同文本生成](/docx4j.md)


